Assistants
Rename an assistant or change its job line and reply-time target
PATCH
/
v1
/
assistants
/
{id}
Rename an assistant or change its job line and reply-time target
curl --request PATCH \
--url https://api-us.larynth.com/v1/assistants/{id} \
--header 'Content-Type: application/json' \
--cookie __Host-lx_session= \
--data '
{
"description": "<string>",
"latency_target_ms": 1650,
"name": "<string>"
}
'import requests
url = "https://api-us.larynth.com/v1/assistants/{id}"
payload = {
"description": "<string>",
"latency_target_ms": 1650,
"name": "<string>"
}
headers = {
"cookie": "__Host-lx_session=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: '__Host-lx_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', latency_target_ms: 1650, name: '<string>'})
};
fetch('https://api-us.larynth.com/v1/assistants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-us.larynth.com/v1/assistants/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'latency_target_ms' => 1650,
'name' => '<string>'
]),
CURLOPT_COOKIE => "__Host-lx_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-us.larynth.com/v1/assistants/{id}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"latency_target_ms\": 1650,\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("cookie", "__Host-lx_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-us.larynth.com/v1/assistants/{id}")
.header("cookie", "__Host-lx_session=")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"latency_target_ms\": 1650,\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-us.larynth.com/v1/assistants/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["cookie"] = '__Host-lx_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"latency_target_ms\": 1650,\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"has_unpublished_changes": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"languages": [
"<string>"
],
"latency_target_ms": 123,
"latest_version": 123,
"name": "<string>",
"number_ids": [
"<string>"
],
"state": "live",
"status": "active",
"type": "single_prompt",
"updated_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"coverage": {
"bands": [
{
"days": [
"<string>"
],
"end_minute": 720,
"start_minute": 719
}
],
"summary_key": "<string>"
},
"description": "<string>",
"draft": {
"changed_sections": [
"<string>"
],
"revision": 123,
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"updated_by_name": "<string>"
},
"paused": {
"at": "2023-11-07T05:31:56Z",
"by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>"
},
"published": {
"at": "2023-11-07T05:31:56Z",
"version": 123,
"by_name": "<string>",
"by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"published_version": 123,
"source": "manual"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}Authorizations
sessionapiKey
Dashboard session cookie
Path Parameters
Body
application/json
Response
OK
Main language of the current spec, then the languages it switches to
Reply-time target the call pages compare against
Numbers routed to this assistant
Available options:
live, paused, draft, archived Available options:
active, archived Always single_prompt until flows ship
Available options:
single_prompt, flow Working hours derived from number routing; null until schedules ship
Show child attributes
Show child attributes
The job line
Maximum string length:
200Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
manual, setup, duplicate, template, import ⌘I
Rename an assistant or change its job line and reply-time target
curl --request PATCH \
--url https://api-us.larynth.com/v1/assistants/{id} \
--header 'Content-Type: application/json' \
--cookie __Host-lx_session= \
--data '
{
"description": "<string>",
"latency_target_ms": 1650,
"name": "<string>"
}
'import requests
url = "https://api-us.larynth.com/v1/assistants/{id}"
payload = {
"description": "<string>",
"latency_target_ms": 1650,
"name": "<string>"
}
headers = {
"cookie": "__Host-lx_session=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: '__Host-lx_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', latency_target_ms: 1650, name: '<string>'})
};
fetch('https://api-us.larynth.com/v1/assistants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-us.larynth.com/v1/assistants/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'latency_target_ms' => 1650,
'name' => '<string>'
]),
CURLOPT_COOKIE => "__Host-lx_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-us.larynth.com/v1/assistants/{id}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"latency_target_ms\": 1650,\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("cookie", "__Host-lx_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api-us.larynth.com/v1/assistants/{id}")
.header("cookie", "__Host-lx_session=")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"latency_target_ms\": 1650,\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-us.larynth.com/v1/assistants/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["cookie"] = '__Host-lx_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"latency_target_ms\": 1650,\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"has_unpublished_changes": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"languages": [
"<string>"
],
"latency_target_ms": 123,
"latest_version": 123,
"name": "<string>",
"number_ids": [
"<string>"
],
"state": "live",
"status": "active",
"type": "single_prompt",
"updated_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"coverage": {
"bands": [
{
"days": [
"<string>"
],
"end_minute": 720,
"start_minute": 719
}
],
"summary_key": "<string>"
},
"description": "<string>",
"draft": {
"changed_sections": [
"<string>"
],
"revision": 123,
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"updated_by_name": "<string>"
},
"paused": {
"at": "2023-11-07T05:31:56Z",
"by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>"
},
"published": {
"at": "2023-11-07T05:31:56Z",
"version": 123,
"by_name": "<string>",
"by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"published_version": 123,
"source": "manual"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"api_base": "<string>",
"attempts_left": 123,
"campaign_ids": [
"<string>"
],
"checks": [
{
"code": "platform_outbound_open",
"state": "ok",
"fix": {
"kind": "link",
"target": "<string>"
},
"params": {}
}
],
"contact_id": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"optout_line": true,
"reauth_methods": [
"<string>"
],
"request_kind": "number_purchase",
"retry_at": "2023-11-07T05:31:56Z",
"revision": 123,
"updated_by_name": "<string>"
}